com.ihr.xbrl.om.formula.functions

## Class RSStandardFunction

- java.lang.Object
- - com.ihr.xbrl.om.formula.functions.RSStandardFunction

-     public abstract class RSStandardFunction
      extends java.lang.Object

  The Class RSStandardFunction.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSStandardFunction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `arg(net.sf.saxon.functions.StandardFunction.Entry e, int a, net.sf.saxon.type.ItemType type, int cardinality, net.sf.saxon.value.Value<?> resultIfEmpty)` Add information to a function entry about the argument types of the function.
    `static net.sf.saxon.functions.StandardFunction.Entry` | `getFunction(java.lang.String name, int arity)` Get the table entry for the function with a given name.
    `static net.sf.saxon.functions.StandardFunction.Entry` | `makeEntry(java.lang.String name, java.lang.Class<? extends XFFunction> implementationClass, int opcode, int minArguments, int maxArguments, net.sf.saxon.type.ItemType itemType, int cardinality)` Make a table entry describing the signature of a function, with a reference to the implementation class.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSStandardFunction

          public RSStandardFunction()

  - ### Method Detail

    - #### makeEntry

          public static net.sf.saxon.functions.StandardFunction.Entry makeEntry(java.lang.String name,
                                                                java.lang.Class<? extends XFFunction> implementationClass,
                                                                int opcode,
                                                                int minArguments,
                                                                int maxArguments,
                                                                net.sf.saxon.type.ItemType itemType,
                                                                int cardinality)

      Make a table entry describing the signature of a function, with a reference to the implementation class.
      Parameters:
        `name` - the function name
        `implementationClass` - the class used to implement the function
        `opcode` - identifies the function when a single class implements several functions
        `minArguments` - the minimum number of arguments required
        `maxArguments` - the maximum number of arguments allowed
        `itemType` - the item type of the result of the function
        `cardinality` - the cardinality of the result of the function
      Returns:
        the entry describing the function. The entry is incomplete, it does not yet contain information about the function arguments.

    - #### arg

          public static void arg(net.sf.saxon.functions.StandardFunction.Entry e,
                 int a,
                 net.sf.saxon.type.ItemType type,
                 int cardinality,
                 net.sf.saxon.value.Value<?> resultIfEmpty)

      Add information to a function entry about the argument types of the function.
      Parameters:
        `e` - the entry for the function
        `a` - the position of the argument, counting from zero
        `type` - the item type of the argument
        `cardinality` - the cardinality of the argument
        `resultIfEmpty` - the value returned by the function if an empty sequence appears as the value, when this result is unaffected by any other arguments

    - #### getFunction

          public static net.sf.saxon.functions.StandardFunction.Entry getFunction(java.lang.String name,
                                                                  int arity)

      Get the table entry for the function with a given name.
      Parameters:
        `name` - the name of the function. This may be an unprefixed local-name for functions in the system namespace, or may use the conventional prefix "saxon:" in the case of Saxon extension functions that are specially recognized
        `arity` - the arity
      Returns:
        if the function name is known, an Entry containing information about the function. Otherwise, null